"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
process.env.BABEL_ENV = 'test';
process.env.NODE_ENV = 'test';
process.env.PUBLIC_URL = '';
process.on('unhandledRejection', (err) => {
    throw err;
});
require('../config/env');
const child_process_1 = require("child_process");
const jest_cli_1 = __importDefault(require("jest-cli"));
const argv = process.argv.slice(2);
function isInGitRepository() {
    try {
        (0, child_process_1.execSync)('git rev-parse --is-inside-work-tree', { stdio: 'ignore' });
        return true;
    }
    catch (e) {
        return false;
    }
}
// Watch unless on CI or explicitly running all tests
if (!process.env.CI && argv.indexOf('--watchAll') === -1 && argv.indexOf('--watchAll=false') === -1) {
    // https://github.com/facebook/create-react-app/issues/5210
    const hasSourceControl = isInGitRepository();
    argv.push(hasSourceControl ? '--watch' : '--watchAll');
}
jest_cli_1.default.run(argv);
//# sourceMappingURL=test.js.map