declare function _default(webpackEnv: any, paths: any, options?: {}): {
    mode: string | false;
    bail: boolean;
    devtool: string | false;
    entry: any;
    output: {
        path: any;
        pathinfo: boolean;
        filename: string | false;
        futureEmitAssets: boolean;
        chunkFilename: string | false;
        publicPath: any;
        devtoolModuleFilenameTemplate: false | ((info: any) => string);
        jsonpFunction: string;
        globalObject: string;
    };
    optimization: {
        splitChunks: {
            chunks: string;
            name: boolean;
        };
        minimize: boolean;
        minimizer: any[];
        runtimeChunk: {
            name: (entrypoint: any) => string;
        };
    };
    resolve: {
        modules: any[];
        extensions: any;
        alias: {
            src?: undefined;
            'react-dom$'?: string | undefined;
            'scheduler/tracing'?: string | undefined;
            'react-native': string;
        } | {
            src: string;
            'react-dom$'?: string | undefined;
            'scheduler/tracing'?: string | undefined;
            'react-native': string;
        };
        plugins: any[];
    };
    resolveLoader: {
        plugins: any[];
    };
    module: {
        strictExportPresence: boolean;
        rules: ({
            parser: {
                requireEnsure: boolean;
            };
            oneOf?: undefined;
        } | {
            oneOf: ({
                test: RegExp[];
                loader: string;
                options: {
                    limit: number;
                    mimetype: string;
                    name: string;
                    babelrc?: undefined;
                    customize?: undefined;
                    presets?: undefined;
                    plugins?: undefined;
                    cacheDirectory?: undefined;
                    cacheCompression?: undefined;
                    compact?: undefined;
                    configFile?: undefined;
                    sourceMaps?: undefined;
                    inputSourceMap?: undefined;
                };
                include?: undefined;
                exclude?: undefined;
            } | {
                test: RegExp[];
                loader: string;
                options: {
                    limit: number;
                    name: string;
                    mimetype?: undefined;
                    babelrc?: undefined;
                    customize?: undefined;
                    presets?: undefined;
                    plugins?: undefined;
                    cacheDirectory?: undefined;
                    cacheCompression?: undefined;
                    compact?: undefined;
                    configFile?: undefined;
                    sourceMaps?: undefined;
                    inputSourceMap?: undefined;
                };
                include?: undefined;
                exclude?: undefined;
            } | {
                test: RegExp;
                include: any;
                loader: string;
                options: {
                    babelrc: boolean;
                    customize: string;
                    presets: (string | {
                        runtime: string;
                    })[][];
                    plugins: (string | false | (string | {
                        artifactDirectory: any;
                    })[] | (string | {
                        displayName: boolean;
                        ssr: boolean;
                        transpileTemplateLiterals: boolean;
                        pure: boolean;
                    })[])[];
                    cacheDirectory: boolean;
                    cacheCompression: boolean;
                    compact: boolean;
                    limit?: undefined;
                    mimetype?: undefined;
                    name?: undefined;
                    configFile?: undefined;
                    sourceMaps?: undefined;
                    inputSourceMap?: undefined;
                };
                exclude?: undefined;
            } | {
                test: RegExp;
                exclude: RegExp;
                loader: string;
                options: {
                    babelrc: boolean;
                    configFile: boolean;
                    compact: boolean;
                    presets: (string | {
                        helpers: boolean;
                    })[][];
                    cacheDirectory: boolean;
                    cacheCompression: boolean;
                    sourceMaps: boolean;
                    inputSourceMap: boolean;
                    limit?: undefined;
                    mimetype?: undefined;
                    name?: undefined;
                    customize?: undefined;
                    plugins?: undefined;
                };
                include?: undefined;
            } | {
                loader: string;
                exclude: RegExp[];
                options: {
                    name: string;
                    limit?: undefined;
                    mimetype?: undefined;
                    babelrc?: undefined;
                    customize?: undefined;
                    presets?: undefined;
                    plugins?: undefined;
                    cacheDirectory?: undefined;
                    cacheCompression?: undefined;
                    compact?: undefined;
                    configFile?: undefined;
                    sourceMaps?: undefined;
                    inputSourceMap?: undefined;
                };
                test?: undefined;
                include?: undefined;
            })[];
            parser?: undefined;
        })[];
    };
    plugins: any[];
    node: {
        module: string;
        dgram: string;
        dns: string;
        fs: string;
        http2: string;
        net: string;
        tls: string;
        child_process: string;
    };
    performance: boolean;
};
export default _default;
